moLinearCoolingSchedule(3)

NAME
moLinearCoolingSchedule - One of the possible moCoolingSchedule.

SYNOPSIS

#include <moLinearCoolingSchedule.h>

Inherits moCoolingSchedule.

  Public Member Functions
moLinearCoolingSchedule (double _threshold, double _quantity)
Simple constructor.
bool operator() (double &_current_temperature)
Function which proceeds to the cooling.

  Private Attributes
double threshold
The temperature threhold.
double quantity
The quantity that allows the temperature to decrease.

Detailed Description

One of the possible moCoolingSchedule. An another very simple cooling schedule, the temperature decrease according to a quantity while the temperature is greater than a threshold.

Definition at line 46 of file moLinearCoolingSchedule.h.

Constructor & Destructor Documentation

  moLinearCoolingSchedule::moLinearCoolingSchedule (double _threshold, double _quantity) [inline]

Simple constructor.

Parameters:
    _threshold the threshold.
    _quantity the quantity used to descrease the temperature.

Definition at line 55 of file moLinearCoolingSchedule.h.

Member Function Documentation

  bool moLinearCoolingSchedule::operator() (double & _current_temperature) [inline, virtual]

Function which proceeds to the cooling.

It decreases the temperature and indicates if it is greater than the threshold.

Parameters:
    _current_temperature The current temperature.

Returns:
    true if the new temperature (current temperature - quantity) is greater than the threshold, false otherwise.

Implements eoUF< double &, bool >.

Definition at line 65 of file moLinearCoolingSchedule.h.

References quantity, and threshold.

Author

Generated automatically by Doxygen for ParadisEO-MOMovingObjects from the source code.